Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.osgi.loaders
Class StaticContentBundleResourceLoader

    java.lang.Object
      org.apache.struts2.dispatcher.DefaultStaticContentLoader
          org.apache.struts2.osgi.loaders.StaticContentBundleResourceLoader

All Implemented Interfaces:
  StaticContentLoader

    public class StaticContentBundleResourceLoader

extends DefaultStaticContentLoader

Loads static resources from bundles

Field Summary

Fields inherited from class org.apache.struts2.dispatcher.DefaultStaticContentLoader
`devMode, encoding, lastModifiedCal, pathPrefixes, serveStatic, serveStaticBrowserCache`

Constructor Summary
`StaticContentBundleResourceLoader()`

Method Summary
`protected URL` | `findResource(String path)`
`void` | `setBundleAccessor(BundleAccessor bundleAccessor)`

Methods inherited from class org.apache.struts2.dispatcher.DefaultStaticContentLoader
`buildPath, canHandle, cleanupPath, copy, findStaticResource, getAdditionalPackages, getContentType, parse, process, setDevMode, setEncoding, setHostConfig, setServeStaticBrowserCache, setServeStaticContent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticContentBundleResourceLoader

    public StaticContentBundleResourceLoader()

Method Detail

### findResource

    protected URL findResource(String path)
                        throws IOException

  Overrides:
    `findResource` in class `DefaultStaticContentLoader`
  Throws:
    `IOException`

### setBundleAccessor

    public void setBundleAccessor(BundleAccessor bundleAccessor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.